Consumer printing
Read an owned order status and valid pending checkout resume link
Responses are no-store. Caller prices, provider identifiers and payment methods are never accepted.
GET
/
v1
/
consumer
/
sessions
/
{session_id}
/
orders
/
{order_id}
Read an owned order status and valid pending checkout resume link
curl --request GET \
--url https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency": "usd",
"merchandise_amount": 500000,
"mode": "test",
"order_id": "<string>",
"shipping_amount": 500000,
"status": "checkout_pending",
"tax_amount": 500000,
"total_amount": 500000,
"checkout_expires_at": "2023-11-07T05:31:56Z",
"checkout_url": "<string>"
}Authorizations
Dedicated expiring guest-session capability. Never a developer API key. No Batch Relay account or Studio membership required.
Headers
Untrusted optional analytics hint naming the calling client surface. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Untrusted optional analytics hint naming the calling client version. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Untrusted optional analytics hint naming the invocation mode. It never affects authorization, routing, pricing, or behavior.
Required string length:
1 - 100Path Parameters
Maximum string length:
100Maximum string length:
100Response
Success
Available options:
usd Required range:
0 <= x <= 1000000Available options:
test, live Required range:
0 <= x <= 1000000Available options:
checkout_pending, paid, processing, shipped, failed, expired, payment_processing Required range:
0 <= x <= 1000000Required range:
0 <= x <= 1000000⌘I
Read an owned order status and valid pending checkout resume link
curl --request GET \
--url https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.batchrelay.com/v1/consumer/sessions/{session_id}/orders/{order_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"currency": "usd",
"merchandise_amount": 500000,
"mode": "test",
"order_id": "<string>",
"shipping_amount": 500000,
"status": "checkout_pending",
"tax_amount": 500000,
"total_amount": 500000,
"checkout_expires_at": "2023-11-07T05:31:56Z",
"checkout_url": "<string>"
}